package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnKeyword;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.sdk.chatlets.TextChatlet;

/**
 * A simple bot that response to the word "hi" that is posted in
 * any room containing the bot.
 * 
 * Please remember to update the authkey
 */
public class InitializingUsingAuthKeyDemo {
public static final String authKey = "samplekey";
public static final String path="/home/sample";	
	/**
	 * This method creates instance of teamchat client, login using specified 
	 * email/password and wait for messages from other users
	 **/
	public static void main(String[] args) {
		TeamchatAPI api = TeamchatAPI.fromAuthKey(authKey,path);
		
		api.startReceivingEvents(new InitializingUsingAuthKeyDemo());
	}
	
	/**
	 * This method posts Hello World message, when any user posts hi message to
	 * the logged in user (see main method)
	 **/
	@OnKeyword("hi")
	public void HelloWorld(TeamchatAPI api) {	
		api.perform( 
				api.context().currentRoom().post(
						new TextChatlet("Hello World")
						)
				);
	}
}
