package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnKeyword;
import com.teamchat.client.sdk.Room;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.sdk.chatlets.TextChatlet;
import com.teamchat.client.sdk.impl.TeamchatAPIImpl;

/**
This bot demonstrates how to use the room aliases.
 * Please remember to update the authkey
 */
public class RoomAlisingDemo {
	
public static final String authKey = "samplekey";
public static final String roomMember1 = "user@example.com";
	
	public static void main(String[] args)
	{
		TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
				.setAuthenticationKey(authKey);
		
		api.startReceivingEvents(new RoomAlisingDemo());
		
		Room room=api.context().create().add(roomMember1).addAlias("myRoom");
		api.perform(room.post(new TextChatlet("Hi, I have an alias for this room. And will post a message for the alias if you type 'post'.")));
		
	}
	
	@OnKeyword("post")
	public void postReply(TeamchatAPI api){
		Room[] rooms = api.context().roomByAlias("myRoom");
		
		api.perform(rooms[0].post(new TextChatlet("Posted the message by room alias.")));
	}
	
	


}
