package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnAlias;
import com.teamchat.client.annotations.OnKeyword;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.sdk.chatlets.PrimaryChatlet;
/**
 * This bot demonstrates how to implement summary fields in chatlet forms.
 ** Please remember to update the authkey
 *
 */
public class SummarizeFieldDemo {
	public static final String authKey = "samplekey";

	public static void main(String... args) {
		TeamchatAPI api = TeamchatAPI.fromFile("config.json")
				.setAuthenticationKey(authKey)
				.startReceivingEvents(new SummarizeFieldDemo());

	}

	@OnKeyword("postform")
	public void postFormWithValidation(TeamchatAPI api) {
		api.perform(api
				.context()
				.currentRoom()
				.post(new PrimaryChatlet()
						.setReplyLabel("Test Validation")
						.setQuestion("Enter Your Sales Information.")
						.setReplyScreen(
								api.objects()
										.form()
										//creating a numeric field
										.addField(
												api.objects()
														.input()
														.name("amount")
														.label("Sale Amount")
														.addRegexValidation(
																"\\d+",
																"Only numbers are allowed.")))
						.addSummary("amount", PrimaryChatlet.Operation.SUM)
						.alias("reply")));
	}
	
	@OnAlias("reply")
	public void processReply(TeamchatAPI api){
		System.out.println("Sale Amount : "+api.context().currentReply().getField("amount"));
	}
}
